summaryrefslogtreecommitdiffstats
path: root/network/mod_dnssd
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2013-02-10 10:59:53 -0500
committer dsomero <xgizzmo@slackbuilds.org>2013-02-13 19:33:48 -0500
commit657dff668d87fe8346f3825f843a770ce4a0c311 (patch)
tree0661e9eb0febbe7f104e2bb598ba144f9f794bfc /network/mod_dnssd
parentd4355726d10c51c4670c0566d9cf37a780220de2 (diff)
downloadslackbuilds-657dff668d87fe8346f3825f843a770ce4a0c311.tar.gz
slackbuilds-657dff668d87fe8346f3825f843a770ce4a0c311.tar.xz
network/mod_dnssd: Added (dns-sd/zeroconf/avahi module for httpd)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'network/mod_dnssd')
-rw-r--r--network/mod_dnssd/README2
-rw-r--r--network/mod_dnssd/doinst.sh15
-rw-r--r--network/mod_dnssd/mod_dnssd.SlackBuild95
-rw-r--r--network/mod_dnssd/mod_dnssd.conf10
-rw-r--r--network/mod_dnssd/mod_dnssd.info10
-rw-r--r--network/mod_dnssd/slack-desc19
-rw-r--r--network/mod_dnssd/use-ap_unixd_setup_child.patch38
7 files changed, 189 insertions, 0 deletions
diff --git a/network/mod_dnssd/README b/network/mod_dnssd/README
new file mode 100644
index 0000000000..e492cf4c6d
--- /dev/null
+++ b/network/mod_dnssd/README
@@ -0,0 +1,2 @@
+mod_dnssd is an Apache HTTPD module which adds
+Zeroconf support via DNS-SD using Avahi.
diff --git a/network/mod_dnssd/doinst.sh b/network/mod_dnssd/doinst.sh
new file mode 100644
index 0000000000..5fffb1c873
--- /dev/null
+++ b/network/mod_dnssd/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/httpd/extra/mod_dnssd.conf.new
+
diff --git a/network/mod_dnssd/mod_dnssd.SlackBuild b/network/mod_dnssd/mod_dnssd.SlackBuild
new file mode 100644
index 0000000000..707a79d722
--- /dev/null
+++ b/network/mod_dnssd/mod_dnssd.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for mod_dnssd
+
+# Copyright 2013 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mod_dnssd
+VERSION=${VERSION:-0.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch -p1 --verbose < $CWD/use-ap_unixd_setup_child.patch
+
+CFLAGS="$SLKCFLAGS" ./configure
+make
+# make install ignores DESTDIR
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/httpd/modules
+cp -a src/.libs/mod_dnssd.so $PKG/usr/lib${LIBDIRSUFFIX}/httpd/modules
+strip --strip-unneeded $PKG/usr/lib${LIBDIRSUFFIX}/httpd/modules/mod_dnssd.so
+
+mkdir -p $PKG/etc/httpd/extra
+sed "s%@baselibdir@%lib${LIBDIRSUFFIX}%" $CWD/mod_dnssd.conf > \
+ $PKG/etc/httpd/extra/mod_dnssd.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/mod_dnssd/mod_dnssd.conf b/network/mod_dnssd/mod_dnssd.conf
new file mode 100644
index 0000000000..09c4731814
--- /dev/null
+++ b/network/mod_dnssd/mod_dnssd.conf
@@ -0,0 +1,10 @@
+# Apache configuration for mod_dnssd
+
+LoadModule dnssd_module @baselibdir@/httpd/modules/mod_dnssd.so
+
+DNSSDEnable on
+
+# See http://0pointer.de/lennart/projects/mod_dnssd/
+# and http://0pointer.de/blog/projects/mod_dnssd.html
+# for further configuration instructions and examples
+
diff --git a/network/mod_dnssd/mod_dnssd.info b/network/mod_dnssd/mod_dnssd.info
new file mode 100644
index 0000000000..6b4539a63f
--- /dev/null
+++ b/network/mod_dnssd/mod_dnssd.info
@@ -0,0 +1,10 @@
+PRGNAM="mod_dnssd"
+VERSION="0.6"
+HOMEPAGE="http://0pointer.de/lennart/projects/mod_dnssd/"
+DOWNLOAD="http://0pointer.de/lennart/projects/mod_dnssd/mod_dnssd-0.6.tar.gz"
+MD5SUM="bed3d95a98168bf0515922d1c05020c5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="avahi"
+MAINTAINER="Robby Workman"
+EMAIL="rworkman@slackbuilds.org"
diff --git a/network/mod_dnssd/slack-desc b/network/mod_dnssd/slack-desc
new file mode 100644
index 0000000000..4b4aefa533
--- /dev/null
+++ b/network/mod_dnssd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mod_dnssd: mod_dnssd (dns-sd/zeroconf/avahi module for httpd)
+mod_dnssd:
+mod_dnssd: mod_dnssd is an Apache HTTPD module which adds Zeroconf support via
+mod_dnssd: DNS-SD using Avahi.
+mod_dnssd:
+mod_dnssd: Homepage: http://0pointer.de/lennart/projects/mod_dnssd/
+mod_dnssd:
+mod_dnssd:
+mod_dnssd:
+mod_dnssd:
+mod_dnssd:
diff --git a/network/mod_dnssd/use-ap_unixd_setup_child.patch b/network/mod_dnssd/use-ap_unixd_setup_child.patch
new file mode 100644
index 0000000000..2e76730043
--- /dev/null
+++ b/network/mod_dnssd/use-ap_unixd_setup_child.patch
@@ -0,0 +1,38 @@
+From 56ca0181fce37fae5a048aa31cdf6097592b2e14 Mon Sep 17 00:00:00 2001
+From: Robby Workman <rworkman@slackware.com>
+Date: Fri, 8 Feb 2013 14:14:08 -0600
+Subject: [PATCH] mod_dnssd.c: Use ap_unixd_setup_child
+
+This fixeds an undefined reference to unixd_setup_child in the
+compiled module. This looks to have changed in httpd-2.3.2 dev:
+20090130.0 (2.3.2-dev) Add ap_ prefix to unixd_setup_child().
+
+Signed-off-by: Robby Workman <rworkman@slackware.com>
+---
+ src/mod_dnssd.c | 3 ++-
+ 1 file changed, 2 insertions(+), 1 deletion(-)
+
+diff --git a/src/mod_dnssd.c b/src/mod_dnssd.c
+index 6179276..3363701 100644
+--- a/src/mod_dnssd.c
++++ b/src/mod_dnssd.c
+@@ -24,6 +24,7 @@
+ #include <ap_config.h>
+ #include <apr_strings.h>
+ #include <unixd.h>
++#include <mod_unixd.h>
+ #include <apr_signal.h>
+ #include <mpm_common.h>
+
+@@ -576,7 +577,7 @@ static void child_process(apr_pool_t *p, server_rec *server, struct global_confi
+
+ ap_assert(d);
+
+- unixd_setup_child();
++ ap_unixd_setup_child();
+
+ if (pipe(sigterm_pipe_fds) < 0) {
+ ap_log_error(APLOG_MARK, APLOG_ERR, 0, r.main_server, "pipe() failed: %s", strerror(errno));
+--
+1.8.0.2
+